cURL
curl --request GET \ --url https://api.agentic.scope3.com/api/v2/partner/storefront/readiness \ --header 'Authorization: Bearer <token>'
{ "platformId": "<string>", "status": "ready", "checks": [ { "id": "<string>", "name": "<string>", "description": "<string>", "category": "<string>", "status": "complete", "isBlocker": true, "method": "<string>", "details": "<string>", "compliance": [ { "agentId": "<string>", "agentUrl": "<string>", "passed": true, "tracks": [ { "track": "<string>", "status": "pass", "label": "<string>", "durationMs": 123 } ], "summary": "<string>", "observations": [ { "category": "<string>", "severity": "info", "message": "<string>" } ], "durationMs": 123, "error": "<string>" } ] } ] }
Check if the storefront is ready to go live. Returns blocking checks for inventory sources, agent status, and agent auth.
API key or access token
Get storefront readiness
Storefront readiness assessment
Overall storefront readiness status
ready
blocked
Show child attributes